Cover

WinLaue

Version 1.0

Laue Pattern Simulations and Stereographic Projections

© JCrystalSoft 2011-2018


Overview

WINLAUE is a crystallographic application for plotting Laue patterns and stereographic projections.

WINLAUE is the successor to XRDL ( part of my JSV Java application) and the JLaue module in JCrystal.
WINLAUE is a companion to WINWULFF and both programs can call each other from their [Help]-menus.

The graphical user-interface is intuitive and very interactive. The virtual crystal can be rotated by dragging the mouse with the left / right mouse button depressed. Zooming is done in the same manner. Left/Right clicking at a spot shows its indices.

Disclaimer

As this is just a very old spare time project I was too lazy to implement more features, such as image indexing, more space group choices or more structure formats.

Main Features

  • Multi-Document Interface
  • Plot 3D reciprocal lattice (optionally limited to 0th layer)
  • Draw Laue transmission or backreflection patterns
  • Draw stereographic projections (more options available in WinWulff)
  • Draw structures (for space group verification) or unit cell-outline
  • Import editable HKL data files (*.rsv)
  • Export BMP, JPG images and Adobe Acrobat PDF files
  • Export hkl lists as *.txt files
  • Observe extinction conditions during HKL generation

Sample Menu

At program start the file ..\lib\cellmenu.txt will be loaded for the menu [Samples]. This file is editable, so you can input materials of your own interest. The change will be effective at the next program start.

Format of the file cellmenu.txt (name,spacegroup number,spacegroup symbol,cell)
'You may edit this file. Up to 300 cells can be added to the Samples-menu.
'No spaces allowed within the spacegroup symbols
Cu        : 225  FM3M    3.6174   3.6174   3.6174  90   90     90
Si        : 227  FD3M    5.4307   5.4307   5.4307  90   90     90
W         : 229  IM3M    3.16522  3.16522  3.16522 90   90     90
'you can comment out a line by starting the line with '
'save changes and restart WinLaue to update the menu [Samples]

Multi Documents

If you open too many windows you may want to close some down, in order to reduce the program's memory requirements for the hkl sets.

HKL Import

Custom hkl data can be imported in the form of *.rsv files. The format is as follows:

[xray]  0.7093
[cell]  5.653 5.653 5.653 90.0 90.0 90.0 180.64957
[text]  GaAs, Gallium Arsenide
    1    1    1    152.05   3.26376
   -1   -1   -1    152.05   3.26376
   -1    1    1    152.05   3.26376
...
   -4   -8   12     21.64   0.37770
0 0 0 0 0 (h k l F d)
The columns of 'h k l F d' values are separated by SPACE.

Structure Display

When a structure file is opened (*.cel, *.csf) the structure is displayed for space group verification. If the structure looks weird you have probably selected the wrong space group or the space group is not supported. I intentionally did not implement a higher quality structure rendering. Due to lazyness I opted for reading the well-known PowderCell structure file format *.cel, which has the advantage that it is very easy to create manually in Notepad or other text editor.

Zeroth Layer Display

When in 3D HKL mode one can use menu [View][Zeroth Layer], in order to limit the display to the reflections in the screen plane. This is similar to Xray precession images or SAED images.

Flip x-Coordinates

Sometimes Laue images are viewed using different conventions, i.e. as seen from the crystal or as seen from the detector. A simple flip of the x-coordinates in the Laue simulations can be used to adapt to the user's preference. Use menu [Tools][Options] and (un)check the box labeled "Flip X for Laue Patterns".

Labels don't show?

When turning on the labels using the [L]-button on the main toolbar, sometimes labels may not show up in Laue plots, because the label threshold (d-spacings) is too high. Move the "label threshold slider" to the left until the desired labels are shown.

Printing

At the moment no high-quality vector graphics printing is implemented. Instead the on-screen image will be printed as pixel graphics (the larger the image the better the printing quality will be).

Feedback

Please contact me if you have a bug to report.

Author
Steffen Weber, Ph.D.
 jcrystalsoft@gmail.com


GUI Controls

Vector Input Convention

When a vector such as the orientation vector is input use spaces for separation if any of the indices is negative or is larger than 9 (e.g.: -1 10 6). If the vector string is only three characters long, no spaces are needed (e.g.: 111)

Control panel

Each document window has its own control panel on the left side.

  1. Space-group selection for extinction conditions
  2. Unit cell (enter manually or from menu [Samples])
  3. Title (also used as title in PDF export)
  4. d-Spacing range for hkl generation
  5. Click at this label for reorienting to specified vector
  6. Orientation vector (either select or type in a new one and press ENTER)
    and vector type (hkl/uvw)
  7. Execute hkl-generation
  8. Plot-type (3D-hkl/Stereogram)
  9. Display sliders (zoom, d-threshold, label-threshold, spot size)
  10. Angle increments for user-defined rotation
  11. Left/Right mouse-click for rotation in positive/negative direction

Note: The program does not try to check if your space-group selection is sensible

Mouse Conventions

Display example for 3D-hkl with cell-monitor and Wulff-monitor switched on.

The main display area is divided into a left and a right side. When dragging with the left-mouse-button depressed no distinction is made and the virtual crystal is rotated about the two in-plane axes.

When dragging with the right-mouse-button depressed on the left side the virtual crystal is rotated about the screen normal axis (viewing direction).

When dragging up/down with the right-mouse-button depressed on the right side the zoom factor is changed (for zoom one also may use the zoom slider).

Spot Clicking

When clicking at a spot with the left-mouse-button that spot is highlighted and its indices are shown.